Index: trunk/desktop/mainWindow.rbfrm
===================================================================
--- trunk/desktop/mainWindow.rbfrm	(revision 24)
+++ trunk/desktop/mainWindow.rbfrm	(revision 26)
@@ -2664,5 +2664,5 @@
       TextFont        =   "System"
       TextSize        =   0
-      Top             =   218
+      Top             =   282
       Underline       =   ""
       Visible         =   True
@@ -2694,4 +2694,62 @@
       TextSize        =   0
       Top             =   186
+      Underline       =   ""
+      Visible         =   True
+      Width           =   88
+   End
+   Begin PushButton PushButton_Import
+      AutoDeactivate  =   True
+      Bold            =   ""
+      Cancel          =   ""
+      Caption         =   "Import"
+      Default         =   ""
+      Enabled         =   True
+      Height          =   20
+      HelpTag         =   ""
+      Index           =   -2147483648
+      InitialParent   =   ""
+      Italic          =   ""
+      Left            =   20
+      LockBottom      =   ""
+      LockedInPosition=   False
+      LockLeft        =   ""
+      LockRight       =   ""
+      LockTop         =   ""
+      Scope           =   0
+      TabIndex        =   58
+      TabPanelIndex   =   0
+      TabStop         =   True
+      TextFont        =   "System"
+      TextSize        =   0
+      Top             =   218
+      Underline       =   ""
+      Visible         =   True
+      Width           =   88
+   End
+   Begin PushButton PushButton_Export
+      AutoDeactivate  =   True
+      Bold            =   ""
+      Cancel          =   ""
+      Caption         =   "Export"
+      Default         =   ""
+      Enabled         =   False
+      Height          =   20
+      HelpTag         =   ""
+      Index           =   -2147483648
+      InitialParent   =   ""
+      Italic          =   ""
+      Left            =   20
+      LockBottom      =   ""
+      LockedInPosition=   False
+      LockLeft        =   ""
+      LockRight       =   ""
+      LockTop         =   ""
+      Scope           =   0
+      TabIndex        =   59
+      TabPanelIndex   =   0
+      TabStop         =   True
+      TextFont        =   "System"
+      TextSize        =   0
+      Top             =   314
       Underline       =   ""
       Visible         =   True
@@ -3541,4 +3599,5 @@
 		Sub Change()
 		  ICSSerialPort1.setCarType(me.Text)
+		  ICSSerialPort1.setDefaultValues
 		  disableControls
 		  
@@ -3693,4 +3752,16 @@
 	#tag Event
 		Sub valuesChanged()
+		  //Update the screens with the new values
+		  updateAdvancedScreen
+		  updateCarScreen
+		End Sub
+	#tag EndEvent
+	#tag Event
+		Sub profileImported(profileName as string)
+		  PopupMenu_Profile.AddRow(profileName)
+		  
+		  //Make sure to switch to the new profile
+		  PopupMenu_Profile.ListIndex = PopupMenu_Profile.ListCount
+		  
 		  //Update the screens with the new values
 		  updateAdvancedScreen
@@ -3756,4 +3827,5 @@
 		    PushButton_SaveProfile.Enabled = true
 		    PushButton_Delete.Enabled = true
+		    PushButton_Export.Enabled = true
 		    ICSSerialPort1.loadProfile(me.Text)
 		  end if
@@ -3763,5 +3835,4 @@
 		Sub Open()
 		  dim s() as string
-		  dim i as integer
 		  
 		  s = ICSSerialPort1.listProfiles
@@ -3795,4 +3866,6 @@
 		    PushButton_SaveProfile.Enabled = False
 		    PushButton_Delete.Enabled = False
+		    PushButton_Export.Enabled = False
+		    
 		  end if
 		End Sub
@@ -3807,2 +3880,24 @@
 	#tag EndEvent
 #tag EndEvents
+#tag Events PushButton_Import
+	#tag Event
+		Sub Action()
+		  dim success as Boolean
+		  
+		  success = ICSSerialPort1.importProfile
+		  
+		  if success = false then
+		    MsgBox "Error importing profile"
+		  end if
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events PushButton_Export
+	#tag Event
+		Sub Action()
+		  if PopupMenu_Profile.Text <> "" then
+		    ICSSerialPort1.exportProfile(PopupMenu_Profile.Text)
+		  end if
+		End Sub
+	#tag EndEvent
+#tag EndEvents
